use core::panic::PanicInfo;
use log::error;

use crate::arch::interrupts::{bsod, BSODSource};

#[panic_handler]
fn panic_handler(info: &PanicInfo) -> ! {
    error!("{:?}", info);

    bsod(BSODSource::Panic(info));
}
